<?php

use WillySoft\Http\ErrorHandler;
use WillySoft\Http\Route;

ErrorHandler::register(function($error_messages) {
    view('errors/500', ['error_messages' => $error_messages]);
});

Route::get('/', fn() => view('pages/home'));
Route::get('/matrix', fn() => view('pages/matrix'));

// since no route was matched we show a page not found error
http_response_code(404);
view('errors/404');